Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class ProducerAspect

    java.lang.Object
      org.jboss.jms.client.container.ProducerAspect

public class ProducerAspect
extends java.lang.Object

Handles sending of messages plus handles get and set methods for Producer - returning state from local cache This aspect is PER_INSTANCE.

Version:
  `$Revision: 1.17 $` $Id: ProducerAspect.java,v 1.17 2006/05/06 05:05:39 ovidiu Exp $
Author:

  Field Summary
  `protected ConnectionState` | `connectionState`
  `protected ProducerState` | `producerState`
  `protected SessionState` | `sessionState`

  Constructor Summary
  `ProducerAspect()`

  Method Summary
  `java.lang.Object` | `handleClose(Invocation invocation)`
  `java.lang.Object` | `handleClosing(Invocation invocation)`
  `java.lang.Object` | `handleGetDeliveryMode(Invocation invocation)`
  `java.lang.Object` | `handleGetDestination(Invocation invocation)`
  `java.lang.Object` | `handleGetDisableMessageID(Invocation invocation)`
  `java.lang.Object` | `handleGetDisableMessageTimestamp(Invocation invocation)`
  `java.lang.Object` | `handleGetPriority(Invocation invocation)`
  `java.lang.Object` | `handleGetTimeToLive(Invocation invocation)`
  `java.lang.Object` | `handleSend(Invocation invocation)`
  `java.lang.Object` | `handleSetDeliveryMode(Invocation invocation)`
  `java.lang.Object` | `handleSetDestination(Invocation invocation)`
  `java.lang.Object` | `handleSetDisableMessageID(Invocation invocation)`
  `java.lang.Object` | `handleSetDisableMessageTimestamp(Invocation invocation)`
  `java.lang.Object` | `handleSetPriority(Invocation invocation)`
  `java.lang.Object` | `handleSetTimeToLive(Invocation invocation)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### producerState

      protected ProducerState producerState

  ### connectionState

      protected ConnectionState connectionState

  ### sessionState

      protected SessionState sessionState

  Constructor Detail

  ### ProducerAspect

      public ProducerAspect()

  Method Detail

  ### handleSend

      public java.lang.Object handleSend(Invocation invocation)
                                  throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSetDisableMessageID

      public java.lang.Object handleSetDisableMessageID(Invocation invocation)
                                                 throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetDisableMessageID

      public java.lang.Object handleGetDisableMessageID(Invocation invocation)
                                                 throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSetDisableMessageTimestamp

      public java.lang.Object handleSetDisableMessageTimestamp(Invocation invocation)
                                                        throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetDisableMessageTimestamp

      public java.lang.Object handleGetDisableMessageTimestamp(Invocation invocation)
                                                        throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSetDeliveryMode

      public java.lang.Object handleSetDeliveryMode(Invocation invocation)
                                             throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetDeliveryMode

      public java.lang.Object handleGetDeliveryMode(Invocation invocation)
                                             throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSetPriority

      public java.lang.Object handleSetPriority(Invocation invocation)
                                         throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetPriority

      public java.lang.Object handleGetPriority(Invocation invocation)
                                         throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSetTimeToLive

      public java.lang.Object handleSetTimeToLive(Invocation invocation)
                                           throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetTimeToLive

      public java.lang.Object handleGetTimeToLive(Invocation invocation)
                                           throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetDestination

      public java.lang.Object handleGetDestination(Invocation invocation)
                                            throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleSetDestination

      public java.lang.Object handleSetDestination(Invocation invocation)
                                            throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleClosing

      public java.lang.Object handleClosing(Invocation invocation)
                                     throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleClose

      public java.lang.Object handleClose(Invocation invocation)
                                   throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2006 JBoss Inc. All Rights Reserved.